Description

Supportanfrage

Ich kämpfe aktuell mit einem ADTF Problem mit Messagebus und MediaSamplePool.

Wir verwenden aktuell ADTF 2.14.3. Und es betrifft den aktuellen Aufbau in den C7 Versuchsträgern im AI-Lab.

Wir senden Samples über eine TCP-Verbindung von einer ADTF Config (PTB) in eine zweite (MTB).

Die Samples sind ca. 500 Bytes groß und kommen alle 10 ms.

Vor kurzem wurde in der Sender-Konfiguration der MediaSamplePool abgeschalten und nun werden auf Sender Seite immer 3

Nachrichten gemeinsam versendet.

Hierdurch entstehen für uns ungünstige Latenzen.

Gibt es eine Möglichkeit dem Messagebus (auf TCP) zu konfigurieren, dass jedes MediaSample sofort versendet werden soll?

Lösung

Siehe #8068 das wird am Nagle's algorithm von TCP liegen. Leider können wir hier für ADTF2 nix machen und TCP_NODELAY

setzen.

Aber etwas verwunderlich ist schon, dass das was mit dem Media Sample Pool zu tun haben soll. Das kann ich mir nicht erklären, da

das dem MB Channel egal ist, wie die Samples allokiert wurden. Seit ihr sicher, dass diese Bursts nicht schon innerhalb eurer ADTF

Config entstehen?

Ansonsten würde ich bei diesen kleinen Sample Größen mal die udp2:// Channel Variante ausprobieren, das sollte dann schon ganz

gut klappen.

History

#1 - 2020-03-12 10:13 - hidden

- Project changed from Public Support to 11

- Status changed from New to Pending

- Customer set to AUDI

#3 - 2020-03-12 10:21 - hidden

- Topic set to ADTF::MessageBus

- Affected Products ADTF 2.14.3 added

#4 - 2020-03-12 10:21 - hidden

- File deleted (image002.png)

#5 - 2020-03-12 10:22 - hidden

- File deleted (image001.png)

2024-04-27 1/2



#6 - 2020-03-12 10:22 - hidden

- Description updated

#7 - 2020-03-13 09:08 - hidden

- Status changed from Pending to In Progress

- Author changed from hidden to hidden

Nachdem der Anwender jetzt verfügbar ist, Ticket auf Steffen Wahl (Author) umgestellt.

@Flo: Wer kann das Ticket übernehmen?

#9 - 2020-03-13 10:15 - hidden

- Support Level changed from 2nd Level to 3rd Level

@Martin: Hat das was mit #8068 zu tun ?

#10 - 2020-03-13 13:34 - hidden

@Flo und @Steffen,

ja, ich denke das wird am Nagle's algorithm von TCP liegen. Leider können wir hier für ADTF2 nix machen und TCP_NODELAY setzen.

Aber etwas verwunderlich ist schon, dass das was mit dem Media Sample Pool zu tun haben soll. Das kann ich mir nicht erklären, da das dem MB

Channel egal ist, wie die Samples allokiert wurden. Seit ihr sicher, dass diese Bursts nicht schon innerhalb eurer ADTF Config entstehen?

Ansonsten würde ich bei diesen kleinen Sample Größen mal die udp2:// Channel Variante ausprobieren, das sollte dann schon ganz gut klappen.

Grüße,

Martin

#11 - 2020-03-13 14:34 - hidden

- Status changed from In Progress to Customer Feedback Required

#12 - 2020-03-23 09:38 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10103

#13 - 2020-03-23 09:38 - hidden

- Subject changed from WG: ADTF Probleme mit Messagebus to Problems using Message Bus

#16 - 2020-07-07 13:25 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#17 - 2020-07-07 16:41 - hidden

- Status changed from To Be Closed to Closed
